---
title: pydo.databases.delete_connection_pool()
description: Delete a Connection Pool (PostgreSQL)
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/databases/delete_connection_pool/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.databases.delete_connection_pool()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.databases.delete_connection_pool(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
    pool_name="backend-pool",
)
```

Returns `None`Raises `HttpResponseError`

## Description

To delete a specific connection pool for a PostgreSQL database cluster, send a DELETE request to [`/v2/databases/{database_cluster_uuid}/pools/{pool_name}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_delete_connectionPool).

A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.

## Parameters

`database_cluster_uuid` string required

A unique identifier for a database cluster.

`pool_name` string required

The name used to identify the connection pool.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

delete_conn_pool = client.databases.delete_connection_pool(database_cluster_uuid="9cc10173", pool_name="backend-pool")
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/pools/{pool_name}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_delete_connectionPool) in the API reference for additional detail on responses, headers, parameters, and more.